Skip to main content
Infrastructure/Lifecycle
POSTLifecycleSince 1.0SynchronousAuth Required

ReconfigureComponent

Trigger reconfiguration of a component

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    UUID of the component to reconfigure

Responses

200 OK

On success, this API returns the following response structure.

  • planUuidString

    UUID of the reconfigure plan created

    Example: plan-a1b2c3d4

  • taskIdString

    Task ID tracking the async reconfigure

    Example: task-a1b2c3d4

Endpoint

POST/api/v1/lifecycle/components/{uuid}/reconfigure

/api/v1/lifecycle/components/{uuid}/reconfigure

Operation ID

ReconfigureComponent

Permalink

Request Example

curl -X POST '{host}/api/v1/lifecycle/components/{uuid}/reconfigure' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{}'

Response Example

200
{"planUuid": "plan-a1b2c3d4", "taskId": "task-a1b2c3d4"}

Change History

This API has no change history records yet.

View all change history